// SPDX-License-Identifier: GPL-3.0-or-later
/*
 * Qt mutizone MQTT thermostat
 *
 * Copyright (C) 2019 Richard Genoud
 *
 */

#ifndef ZONEITEM_H
#define ZONEITEM_H

#include <QWidget>
#include <QObject>
#include <QLabel>
#include <QPushButton>

#include "boost_dlg.h"

class ZoneItem : public QWidget
{
	Q_OBJECT

public:
	explicit ZoneItem(const QString &zoneName, QWidget *parent = Q_NULLPTR);
	~ZoneItem();
	void refresh(void);

	double m_temperature_value;
	double m_hygro_value;
	double m_target_temperature;
	bool m_available;
	bool m_heating_on;
	QString m_name;
	struct boost_data m_boost;

	QPushButton m_zoneNameBtn;
	QPushButton m_temperatureBtn;
	QPushButton m_hygroBtn;

};

#endif // ZONEITEM_H

/* vim: set tabstop=8 shiftwidth=8 softtabstop=0 noexpandtab: */
